Hybrid Core 5.0 предложил модульный подход к разработке тем WordPress

Дата публикации:Сентябрь 20, 2018

Hybrid Core 5.0, новая версия одного из самых долгоиграющих фреймворков для создания тем WordPress, на днях увидела свет. В прошлом месяце Джастин Тэдлок отпраздновал десятилетие сообщества Theme Hybrid и выпустил бета-версию стартовой темы Mythic. Эта тема основана на Hybrid Core и разрабатывалась в тандеме с релизом 5.0.

Фреймворк был полностью переписан практически с нуля. Он стал более компактным и более современным в плане разработки тем. Тэдлок описал Hybrid Core 5.0 как «принципиально иной фреймворк, полностью переписанный с нуля, поддерживающий более современные PHP-практики».

«Я начал работу над 5.0 с целью обновления фреймворка при помощи более современных PHP-подходов и кода», — отметил Джастин. – «Первая версия фреймворка была создана еще в 2008 году. Пришла пора шагнуть в новую эру разработки тем».

Опираясь на почти десятилетний опыт поддержки фреймворка, Джастин отметил, что пользователи не всегда понимают, как создавать что-либо с нуля. Многие просто копировали одну из его существующих тем и что-либо удаляли или добавляли в зависимости от своих потребностей.

Релиз 5.0 усложняет создание тем на базе Hybrid Core – в новой версии появился усовершенствованный метод бутстрэппинга, система просмотра шаблонов, а также требование использования Composer. По этой причине Джастин официально рекомендует Mythic как способ проектирования тем на базе Hybrid Core. Большинство документаций и учебных руководств, которые он планирует выпустить, будут сосредоточены на стартовой теме Mythic, которая уже скоро выйдет в версии 1.0.

Для большинства разработчиков тем подход BEM (Block-Element-Modifier) к наименованию классов в CSS является первым знакомством с системой неиерархической, компонентной CSS-стилизации. Поскольку BEM не использует вложенные селекторы, пользователям будет проще переписывать CSS-фрагменты, которые они хотят изменить.

Набор дополнений к Hybrid уже доступен в виде пакетов Composer, включая пакеты для хлебных крошек, настроек и параметров кастомайзера, Google-шрифтов и миниатюр. Тэдлок планирует в будущем вынести и другие участки фреймворка в пакеты, чтобы сделать ядро еще более модульным.

Hybrid Core 5.0 требует PHP 5.6+ (рекомендуется 7.0+) и WordPress 4.9.6+. Тэдлок планирует поддерживать версии Hybrid Core 4.x в течение как минимум одного года, чтобы авторы тем могли адаптироваться к изменениям.

Источник: wptavern.com

Поделиться

Оставить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Получать новые комментарии по электронной почте. Вы можете подписаться без комментирования.